%define pypi_name feedgenerator

Name:           python-feedgenerator
Version:        1.7
Release:        %mkrel 9
Group:          Development/Python
Summary:        Standalone version of django.utils.feedgenerator

License:        BSD
URL:            http://pypi.python.org/pypi/feedgenerator
Source0:        https://pypi.python.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools 

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools 


%description
Standalone version of DJango's feed generator for generating ATOM
and RSS feeds.

%package -n     python3-%{pypi_name}
Group:          Development/Python
Summary:        Standalone version of django.utils.feedgenerator


%description -n python3-%{pypi_name}
Standalone version of DJango's feed generator for generating ATOM
and RSS feeds.


%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info


cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.7-9.mga6
+ Revision: 971007
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.7-8.mga6
+ Revision: 888893
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.7-7.mga5
+ Revision: 748326
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7-6.mga5
+ Revision: 728486
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7-5.mga5
+ Revision: 688029
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.7-4.mga5
+ Revision: 628638
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.7-3.mga4
+ Revision: 543554
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.7-2.mga4
+ Revision: 498590
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 06 2013 philippem <philippem> 1.7-1.mga4
+ Revision: 492236
- imported package python-feedgenerator

